Subject: Re: git log causing hang while browsing upstream linux

From: Taylor Blau <[email-masked]>
Date: Mon, 10 Apr 2023 20:00:05 -0400

On Mon, Apr 10, 2023 at 10:37:15PM +0530, Rohit Ner wrote:
> I have not given the command more than 10 seconds, shouldn't the
> intended behaviour be to render the visible subgraph first?

This is possible with Git's "commit-graph" feature, which you can read
about starting here:

		https://devblogs.microsoft.com/devops/supercharging-the-git-commit-graph/

TL;DR: if you run "git commit-graph write" once before running "git log
--oneline --graph", you'll get near-instantaneous results.

Thanks,
Taylor